<footer class="footer text-center">
    <div class="container">
        <ul class="footer-ul">
            <li>
                <a data-intgrtn-link-agreements="1" href="" class="">Website Agreement</a>
            </li>
            <li>
                <a data-intgrtn-link-agreements="2" href="" class="">Risk Disclaimer</a>
            </li>
            <li>
                <a data-intgrtn-link-agreements="3" href="" class="">Privacy Policy</a>
            </li>
            <li>
                <a data-intgrtn-link-report-abuse="" href="" class="">Report Abuse</a>
            </li>
            <li>
                <a data-intgrtn-link-contact-us="" href="" class="">Contact Us</a>
            </li>
        </ul>
        <div data-intgrtn-agreements="" data-intgrtn-type="4" style="font-size: 12px; padding-top: 20px"></div>
    </div>
</footer>
</div>
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/jquery.countTo.js"></script>
<script src="js/main.js"></script>
<script>
    var header_factor_countdown = 0;
</script>
<link rel="stylesheet" property="stylesheet" href="css/framework.extras.css">
<script>
    window.intgrtnInit = function () {
        var path = "/";
        if (window.location.pathname.split("/")[2]) {
            path = "/" + window.location.pathname.split("/")[1] + "/";
        }
        window.intgrtn.setOptions({
            cookies: {
                path: path
            },
            forms: {
                signup: {
                    buttons: {
                        generatePassword: {
                            show: true,
                            text: "Generate",
                        },
                    },
                    fields: {
                        labels: {
                            show: true,
                        },

                    }
                },

            },
        });
        window.intgrtn.events.on("parse.data.tags.form.signup.success", function (form) {

            $(form).find(".intgrtn-input-holder").toArray().forEach(function (inputHolder) {
                $(inputHolder).find(".intgrtn-input").focusin(function () {
                    $(inputHolder).find(".intgrtn-label").css({"opacity": ".65", "transform": "scale(.85) translateY(-0.5rem) translateX(0.15rem)"});
                })
                $(inputHolder).find('.intgrtn-input').focusout(function () {
                    if ($(this).val() == '') {
                        $('.intgrtn-label').css({"opacity": "", "transform": ""});
                    }
                })
            })

            let firstName = window.intgrtn.elements.findFirst("[name='firstName']", form[0]);
            let lastName = window.intgrtn.elements.findFirst("[name='lastName']", form[0]);
            let email = window.intgrtn.elements.findFirst("[name='email']", form[0]);
            var isValidFirstName = false;
            var isValidLastName = false;
            var isValidEmail = false;

            var currentStep = 1;
            $('.next-btn').click(function () {
                if (currentStep === 1) {
                    window.intgrtn.validate.signupForm.email(email, form[0]);
                    isValidEmail = window.intgrtn.validate.signupForm.email(email, form[0]).valid;
                    if (isValidEmail) {
                        $('.msf_bullet_o .msf_bullet:nth-child(1)').removeClass('msf_bullet_active');
                        $('.msf_bullet_o .msf_bullet:nth-child(2)').addClass('msf_bullet_active');
                        $(form).find('.intgrtn-input-holder-email').hide();
                        $(form).find('.intgrtn-input-holder-first-name').show();
                        $(form).find('.intgrtn-input-holder-last-name').show();
                        $('.intgrtn-label').css({"opacity": "", "transform": ""});
                    } else {
                        currentStep--;
                    }
                }
                if (currentStep === 2) {
                    window.intgrtn.validate.signupForm.firstName(firstName, form[0]);
                    window.intgrtn.validate.signupForm.lastName(lastName, form[0]);
                    isValidFirstName = window.intgrtn.validate.signupForm.firstName(firstName, form[0]).valid;
                    isValidLastName = window.intgrtn.validate.signupForm.lastName(lastName, form[0]).valid;
                    if (isValidFirstName && isValidLastName) {
                        $('.msf_bullet_o .msf_bullet:nth-child(2)').removeClass('msf_bullet_active');
                        $('.msf_bullet_o .msf_bullet:nth-child(3)').addClass('msf_bullet_active');
                        $(form).find('.intgrtn-input-holder-first-name').hide();
                        $(form).find('.intgrtn-input-holder-last-name').hide();
                        $(form).find('.intgrtn-input-holder-phone').show();
                        $(form).find('.intgrtn-btn-submit-holder').show();
                        $('.next-btn').hide();
                        $('.intgrtn-label').css({"opacity": "", "transform": ""});
                    } else {
                        currentStep--;
                    }
                }
                currentStep++
            });
            window.intgrtn.events.on("get.project.details.success", function (response) {

                var currencySymbol = response.data.client.location.currency.symbol ? response.data.client.location.currency.symbol : "$";
                $("[data-visitor-currency-symbol]").text(currencySymbol);

                $('.js-project-logo').attr({
                    'src': response.data.project.softwareDashboardPageLogoPath,
                    'alt': response.data.project.name,
                });

                $('.js-project-name').append(response.data.project.name)

                $("link[rel*='icon']").attr("href", "images/favicon.ico");
            });


        });
    };

    (function (d) {
        if (window.intgrtn) {
            return;
        }
        var s = d.createElement("script");
        var date = new Date();
        s.src = "<?php echo $trackingUrl?>/api/v2/integration/app.js?v=1" + date.getFullYear().toString() + date.getMonth().toString() + date.getDate().toString() + date.getHours().toString() + Math.round(date.getMinutes() / 10).toString();
        d.getElementsByTagName("head")[0].appendChild(s);
    }(document));
</script>
